# Class MobileBuilder

#### Hierarchy

- MobileBuilder

- Defined in saltcorn-mobile-builder/mobile-builder.ts:88

#####
Index

### Constructors

constructor

### Properties

allowOfflineMode
allowShareTo
appIcon?
appId
appName
appVersion
autoPublicLogin
buildDir
buildType
cliDir
copyTargetDir?
entryPoint
entryPointType
includedPlugins
iosParams?
isUnsecureKeyStore
keyStoreAlias
keyStorePassword
keyStorePath
localUserTables
packageRoot
platforms
pluginManager
plugins
serverURL
splashPage?
synchedTables
templateDir
tenantAppName?
useDocker?
user?

### Methods

finishStep
fullBuild
prepareStep

## Constructors

### constructor

- new MobileBuilder(cfg): MobileBuilder

- #### Parameters

  - ##### cfg: MobileBuilderConfig

  #### Returns MobileBuilder

  - Defined in saltcorn-mobile-builder/mobile-builder.ts:128

## Properties

### allowOfflineMode

allowOfflineMode: string

- Defined in saltcorn-mobile-builder/mobile-builder.ts:106

### allowShareTo

allowShareTo: boolean

- Defined in saltcorn-mobile-builder/mobile-builder.ts:112

### `Optional` appIcon

appIcon?: string

- Defined in saltcorn-mobile-builder/mobile-builder.ts:92

### appId

appId: string

- Defined in saltcorn-mobile-builder/mobile-builder.ts:90

### appName

appName: string

- Defined in saltcorn-mobile-builder/mobile-builder.ts:89

### appVersion

appVersion: string

- Defined in saltcorn-mobile-builder/mobile-builder.ts:91

### autoPublicLogin

autoPublicLogin: string

- Defined in saltcorn-mobile-builder/mobile-builder.ts:105

### buildDir

buildDir: string

- Defined in saltcorn-mobile-builder/mobile-builder.ts:94

### buildType

buildType: "release" | "debug"

- Defined in saltcorn-mobile-builder/mobile-builder.ts:118

### cliDir

cliDir: string

- Defined in saltcorn-mobile-builder/mobile-builder.ts:95

### `Optional` copyTargetDir

copyTargetDir?: string

- Defined in saltcorn-mobile-builder/mobile-builder.ts:110

### entryPoint

entryPoint: string

- Defined in saltcorn-mobile-builder/mobile-builder.ts:101

### entryPointType

entryPointType: EntryPointType

- Defined in saltcorn-mobile-builder/mobile-builder.ts:102

### includedPlugins

includedPlugins: string[]

- Defined in saltcorn-mobile-builder/mobile-builder.ts:100

### `Optional` iosParams

iosParams?: IosCfg

- Defined in saltcorn-mobile-builder/mobile-builder.ts:119

### isUnsecureKeyStore

isUnsecureKeyStore: boolean

- Defined in saltcorn-mobile-builder/mobile-builder.ts:117

### keyStoreAlias

keyStoreAlias: string

- Defined in saltcorn-mobile-builder/mobile-builder.ts:115

### keyStorePassword

keyStorePassword: string

- Defined in saltcorn-mobile-builder/mobile-builder.ts:116

### keyStorePath

keyStorePath: string

- Defined in saltcorn-mobile-builder/mobile-builder.ts:114

### localUserTables

localUserTables: string[]

- Defined in saltcorn-mobile-builder/mobile-builder.ts:98

### packageRoot

packageRoot: string = ...

- Defined in saltcorn-mobile-builder/mobile-builder.ts:109

### platforms

platforms: string[]

- Defined in saltcorn-mobile-builder/mobile-builder.ts:97

### pluginManager

pluginManager: any

- Defined in saltcorn-mobile-builder/mobile-builder.ts:107

### plugins

plugins: Plugin[]

- Defined in saltcorn-mobile-builder/mobile-builder.ts:108

### serverURL

serverURL: string

- Defined in saltcorn-mobile-builder/mobile-builder.ts:103

### `Optional` splashPage

splashPage?: string

- Defined in saltcorn-mobile-builder/mobile-builder.ts:104

### synchedTables

synchedTables: string[]

- Defined in saltcorn-mobile-builder/mobile-builder.ts:99

### templateDir

templateDir: string

- Defined in saltcorn-mobile-builder/mobile-builder.ts:93

### `Optional` tenantAppName

tenantAppName?: string

- Defined in saltcorn-mobile-builder/mobile-builder.ts:113

### `Optional` useDocker

useDocker?: boolean

- Defined in saltcorn-mobile-builder/mobile-builder.ts:96

### `Optional` user

user?: User

- Defined in saltcorn-mobile-builder/mobile-builder.ts:111

## Methods

### finishStep

- finishStep(): Promise<null | number>

- #### Returns Promise<null | number>

  - Defined in saltcorn-mobile-builder/mobile-builder.ts:216

### fullBuild

- fullBuild(): Promise<null | number>

- #### Returns Promise<null | number>

  - Defined in saltcorn-mobile-builder/mobile-builder.ts:180

### prepareStep

- prepareStep(): Promise<0 | 1>

- #### Returns Promise<0 | 1>

  - Defined in saltcorn-mobile-builder/mobile-builder.ts:191

Generated using TypeDoc